Loading...
Searching...
No Matches
dolfin::ConvexTriangulation Class Reference

`#include <ConvexTriangulation.h>`

## Static Public Member Functions

static std::vector< std::vector< Point > > | triangulate (const std::vector< Point > &p, std::size_t gdim, std::size_t tdim)
| Tdim independent wrapper.
static std::vector< std::vector< Point > > | triangulate_1d (const std::vector< Point > &pm, std::size_t gdim)
| Triangulate 1D.
static std::vector< std::vector< Point > > | triangulate_graham_scan_2d (const std::vector< Point > &pm)
| Triangulate using the Graham scan 2D.
static std::vector< std::vector< Point > > | triangulate_graham_scan_3d (const std::vector< Point > &pm)
| Triangulate using the Graham scan 3D.
static bool | selfintersects (const std::vector< std::vector< Point > > &p)
| Determine if there are self-intersecting tetrahedra.

## Detailed Description

This class implements algorithms for triangulating convex domains represented as a set of points.

The documentation for this class was generated from the following files:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/ConvexTriangulation.h
- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/geometry/ConvexTriangulation.cpp